<?php
/**
 * @file
 * Function: string_unpack()
 */

namespace BTranslator\Client;

/**
 * Unpacks a string as retrieved from the database.
 *
 * Creates an array out of the string. If it was a single string, the array
 * will have one item. If the string was a plural string, the array will have
 * as many items as the language requires (two for source strings).
 *
 * @param string $string
 *   The string with optional separation markers (NULL bytes).
 *
 * @return array
 *   An array of strings with one element for each plural form in case of
 *   a plural string, or one element in case of a regular string. This
 *  is called a $textarray elsewhere.
 */
function string_unpack($string) {
  return explode("\0", $string);
}
